net.fortuna.ical4j.model.parameter

## Class Value

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Parameter
    - - net.fortuna.ical4j.model.parameter.Value

All Implemented Interfaces:
  Serializable

    public class Value
    extends Parameter

$Id$ [18-Apr-2004] Defines a Value Data Type parameter.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static Value` `BINARY` Binary value type.
`static Value` `BOOLEAN` Boolean value type.
`static Value` `CAL_ADDRESS` Calendar address value type.
`static Value` `DATE` Date value type.
`static Value` `DATE_TIME` Date-time value type.
`static Value` `DURATION` Duration value type.
`static Value` `FLOAT` Float value type.
`static Value` `INTEGER` Integer value type.
`static Value` `PERIOD` Period value type.
`static Value` `RECUR` Recurrence value type.
`static Value` `TEXT` Text value type.
`static Value` `TIME` Time value type.
`static Value` `URI` URI value type.
`static Value` `UTC_OFFSET` UTC offset value type.

### Fields inherited from class net.fortuna.ical4j.model.Parameter

`ABBREV, ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SCHEDULE_AGENT, SCHEDULE_STATUS, SENT_BY, TYPE, TZID, VALUE, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`Value(String aValue)`

### Method Summary

Methods
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.model.Parameter

`copy, equals, getName, hashCode, isQuotable, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BINARY

    public static final Value BINARY

Binary value type.

#### BOOLEAN

    public static final Value BOOLEAN

Boolean value type.

#### CAL_ADDRESS

    public static final Value CAL_ADDRESS

Calendar address value type.

#### DATE

    public static final Value DATE

Date value type.

#### DATE_TIME

    public static final Value DATE_TIME

Date-time value type.

#### DURATION

    public static final Value DURATION

Duration value type.

#### FLOAT

    public static final Value FLOAT

Float value type.

#### INTEGER

    public static final Value INTEGER

Integer value type.

#### PERIOD

    public static final Value PERIOD

Period value type.

#### RECUR

    public static final Value RECUR

Recurrence value type.

#### TEXT

    public static final Value TEXT

Text value type.

#### TIME

    public static final Value TIME

Time value type.

#### URI

    public static final Value URI

URI value type.

#### UTC_OFFSET

    public static final Value UTC_OFFSET

UTC offset value type.

### Constructor Detail

#### Value

    public Value(String aValue)

Parameters:
  `aValue` - a string representation of a value data type

### Method Detail

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value